import Path, { PathProps } from 'zrender/esm/graphic/Path';
declare class ECPolylineShape {
    points: number[][];
    smooth: number;
    smoothConstraint: boolean;
    smoothMonotone: 'x' | 'y' | 'none';
    connectNulls: boolean;
}
interface ECPolylineProps extends PathProps {
    shape?: Partial<ECPolylineShape>;
}
export declare class ECPolyline extends Path<ECPolylineProps> {
    readonly type = "ec-polyline";
    shape: ECPolylineShape;
    constructor(opts?: ECPolylineProps);
    getDefaultStyle(): {
        stroke: string;
        fill: string;
    };
    getDefaultShape(): ECPolylineShape;
    buildPath(ctx: CanvasRenderingContext2D, shape: ECPolylineShape): void;
}
declare class ECPolygonShape extends ECPolylineShape {
    stackedOnPoints: number[][];
    stackedOnSmooth: number;
}
interface ECPolygonProps extends PathProps {
    shape?: Partial<ECPolygonShape>;
}
export declare class ECPolygon extends Path {
    readonly type = "ec-polygon";
    shape: ECPolygonShape;
    constructor(opts?: ECPolygonProps);
    getDefaultShape(): ECPolygonShape;
    buildPath(ctx: CanvasRenderingContext2D, shape: ECPolygonShape): void;
}
export {};
